Bug 598065 - Some various Tracebacks F13 and F14(Rawhide)
Some various Tracebacks F13 and F14(Rawhide)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 06:56 EDT by Frank Murphy
Modified: 2011-01-22 15:33 EST (History)
2 users (show)

See Also:
Fixed In Version: calibre-0.7.38-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-22 15:29:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Valgrind Output (8.26 KB, text/plain)
2010-05-31 06:56 EDT, Frank Murphy
no flags Details
Terminal Output Rawhide\F14 (2.98 KB, text/plain)
2010-05-31 09:45 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2010-05-31 06:56:52 EDT
Created attachment 418258 [details]
Valgrind Output

Description of problem:  Conversion errors \and unnecessary errors.


Version-Release number of selected component (if applicable):
calibre-0.6.55-1.fc13.i686

calibre-0.6.55-1.fc14.x86_64

How reproducible: 
1:
User caused problem:
 On E-Book Viewer
Click <-- or --> 
The following error pops up
---------------------------
ERROR: ERROR: Unhandled exception: <b>AttributeError</b>:'EbookViewer' object has no attribute 'current_index'

Traceback (most recent call last):
  File "/usr/lib/calibre/calibre/gui2/viewer/main.py", line 228, in <lambda>
    lambda x:self.view.next_page())
  File "/usr/lib/calibre/calibre/gui2/viewer/documentview.py", line 717, in next_page
    self.manager.next_document()
  File "/usr/lib/calibre/calibre/gui2/viewer/main.py", line 636, in next_document
    if self.current_index < len(self.iterator.spine) - 1:
AttributeError: 'EbookViewer' object has no attribute 'current_index'

---------------

I panicked for one, maybe:
"No Document Loaded" instead.

2: Coverting from pdf to epub
If pdf2html is not installed, there is no prompt to install it,
either during caliber install, or during conversion.


Output of:
valgrind -v /usr/bin/calibre 2>/home/yep it's mine/Book Name removed val_cal.txt
attached.

I have created a debug using the "conversion debug" within calibre (mainly images? 130mb),
but don't want to get shafted for uploading it somewhere.
Comment 1 Frank Murphy 2010-05-31 09:45:15 EDT
Created attachment 418306 [details]
Terminal Output Rawhide\F14

Calibre F14 Can't connect to Irex.
Irex knows it's connected to PC.
Comment 2 Kevin Fenzi 2010-05-31 13:39:16 EDT
Can you tell me what: 

rpm -q python-cssutils 

outputs?

I will try and look over all the rest of the output soon and see if I can track this down.
Comment 3 Frank Murphy 2010-05-31 15:56:11 EDT
F-13

rpm -q python-cssutils
python-cssutils-0.9.6-1.fc13.noarch

F14\rawhide

rpm -qa | grep python-css
python-cssutils-0.9.6-1.fc14.noarch
Comment 4 Kevin Fenzi 2010-06-21 23:16:49 EDT
Can you try this rawhide version: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2264178
Comment 5 Frank Murphy 2010-06-22 03:44:11 EDT
(In reply to comment #4)
> Can you try this rawhide version: 
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2264178    

Tried added me to:
https://bugzilla.redhat.com/show_bug.cgi?id=538331
Comment 6 Frank Murphy 2010-06-22 04:07:22 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Can you try this rawhide version: 
> > 
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=2264178    
> 
> Tried added me to:
> https://bugzilla.redhat.com/show_bug.cgi?id=538331    

Crashed out as per:
https://bugzilla.redhat.com/show_bug.cgi?id=598079

Will have to wait for python-cssutils
Comment 7 Fedora Update System 2011-01-12 19:08:17 EST
calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14
Comment 8 Fedora Update System 2011-01-12 19:19:59 EST
calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13
Comment 9 Fedora Update System 2011-01-13 18:26:14 EST
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre python-cssutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13
Comment 10 Fedora Update System 2011-01-22 15:27:57 EST
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-01-22 15:31:49 EST
calibre-0.7.38-3.fc14, python-cssutils-0.9.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.